Форум поддержки пользователей. LibreOffice, Apache OpenOffice, OpenOffice.org

Форум поддержки пользователей. LibreOffice, Apache OpenOffice, OpenOffice.org

26 Февраль 2017, 15:18 *
Добро пожаловать, Гость. Пожалуйста, войдите или зарегистрируйтесь.
Вам не пришло письмо с кодом активации?

Войти
Новости: Часто задаваемые вопросы по LibreOffice и Apache OpenOffice.org
 
   Начало   Помощь Поиск Войти Регистрация    задать вопрос  
Страниц: 1   Вниз
  Печать  
Автор Тема: Не работает Java в LibreOffice Base  (Прочитано 2122 раз)
0 Пользователей и 1 Гость смотрят эту тему.
Androniy
Новичок
*
Offline Offline

Сообщений: 2


« Стартовое сообщение: 9 Август 2016, 15:08 »

Добрый день. При попытке перейти в раздел "Таблицы" в LibreOffice Base выводится сообщение об ошибке со следующим содержанием:
"Для выполнения данного задания LibreOffice необходимо установленное окружение Java (JRE). Выбранное JRE неисправно. ..."
По нажатию на "Ок" - второе сообщение: "Невозможно установить соединение с источником данных "имя базы". Не обнаружена установленная Java. Проверьте установку."
Java устанавливал и переустанавливал (с сайта https://java.com/ru/download/). LibreOffice переустанавливал. В меню "Сервис->Параметры->Расширенные возможности" стоит галка "Использовать виртуальную машину Java", в списке виртуальных машин одна единственная выбрана, путь правильный.
В других приложениях проблем с Java нет, проверял, все работает.
Конфиг:
Windows 7 x64
LibreOffice 5.2.0.4 - последняя версия на данный момент
Java JRE 1.8.0_101 - последняя версия на данный момент
Подскажите что можно еще попробовать. Спасибо.
Записан
kompilainenn
Ветеран
*****
Offline Offline

Сообщений: 1 871



« Ответ #1: 9 Август 2016, 15:34 »

у вас похоже несовпадение битности JAVA и Либры. Они должны быть или оба 32 битные или оба 64 битные. Проверьте
Записан

Поддержать разработчиков LibreOffice можно тут, а наш форум вот тут
rami
Гуру
*******
Online Online

Пол: Мужской
Сообщений: 1 975


MacBook Pro, LibreOffice и Apache OpenOffice


« Ответ #2: 9 Август 2016, 15:55 »

Подскажите что можно еще попробовать.
Попробуйте подождать, время лечит, а пока верните последнюю версию, которая работает с Java.

У меня на Маке сейчас та же проблема с LO 5.1 и LO 5.2 (хотя пользуюсь версиями 4.4 и 5.0). Несколько лет назад была такая же проблема с Apache OpenOffice 4.1.1 и LibreOffice, но её тогда исправили.

у вас похоже несовпадение битности JAVA и Либры. Они должны быть или оба 32 битные или оба 64 битные. Проверьте
А у тебя Base в LO 5.2 работает? Я думаю, что если Androniy вернётся на предыдущую версию, то снова всё заработает.
Записан

Androniy
Новичок
*
Offline Offline

Сообщений: 2


« Ответ #3: 9 Август 2016, 16:35 »

Цитата:
у вас похоже несовпадение битности JAVA и Либры.
Большое спасибо, помогло. Дело было именно в этом.

Цитата:
Я думаю, что если Androniy вернётся на предыдущую версию, то снова всё заработает.
Ранее я просто не работал с Base, поэтому все не работало изначально, я просто об этом не знал. Проблема в моем случае была именно в том, что был 32х битный LibreOffice, а я этого не заметил.
Записан
kompilainenn
Ветеран
*****
Offline Offline

Сообщений: 1 871



« Ответ #4: 9 Август 2016, 16:41 »

Большое спасибо, помогло. Дело было именно в этом.
я с таким сталкивался сам, мне формулировка ошибки сразу напомнила былое. Правда base у меня падал через каждый чих и мне надоело бороться с ним, а не с прикладной задачей
Записан

Поддержать разработчиков LibreOffice можно тут, а наш форум вот тут
kompilainenn
Ветеран
*****
Offline Offline

Сообщений: 1 871



« Ответ #5: 9 Август 2016, 16:42 »

А у тебя Base в LO 5.2 работает?
у меня base просто не работает нормально на винде, причем давно уже
Записан

Поддержать разработчиков LibreOffice можно тут, а наш форум вот тут
Страниц: 1   Вверх
  Печать  
 
Перейти в:  

Powered by MySQL Powered by PHP Powered by SMF 1.1.21 | SMF © 2006-2009, Simple Machines Valid XHTML 1.0! Valid CSS!